import { TSubProduct } from "../types";
import Product from "./Product";

class Corn extends Product {
    constructor(data: TSubProduct) {        
        super({
            name: "Corn", 
            storageLifeDays: 150,
            deliveryTimestamp: data.deliveryTimestamp, 
            storagePlace: data.storagePlace
        });
    };

    override isFresh(): boolean {
        const dateDifference: number = (Date.now() - this.deliveryTimestamp?.getTime()) / (1000 * 3600 * 24);        
        
        if(dateDifference > this.storageLifeDays) {
            return false;
        } else {
            return true;
        };
    };
};

export default Corn;